## udhcp 0.9.8cvs20050303-2osso6

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2osso6) unstable; urgency=low

  * Go back to INIT_SELECTING when NAK is received during DHCP RENEW.
    Fixes: NB#87429

 -- Luciano Coelho <luciano.coelho@nokia.com>  Mon, 25 Aug 2008 18:27:51 +0300

udhcp (0.9.8cvs20050303-2osso5) unstable; urgency=low

  * Improved client logging.
  * Added sec field support to client. Fixes: NB#74876
  * Applied retrycount patch to client.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 17 Dec 2007 10:07:25 +0200

udhcp (0.9.8cvs20050303-2osso4) unstable; urgency=low

  * Remove packet size check which prevents workaround. Fixes: NB#74211
  * Attempt to fix memory corruption found in robustness testing.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  8 Nov 2007 17:45:34 +0200

udhcp (0.9.8cvs20050303-2osso3) unstable; urgency=low

  * Create debug package. Fixes: NB#74336

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 26 Oct 2007 16:44:00 +0300

udhcp (0.9.8cvs20050303-2osso2) unstable; urgency=low

  * Convert uptimes to absolute times in zeroconf. Fixes: NB#60729

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Jun 2007 09:42:34 +0300

udhcp (0.9.8cvs20050303-2osso1) unstable; urgency=low

  * New upstream version
  * Write resolv.conf to /var/run (OSSO patch)
  * Receive oversized DHCP messages (OSSO patch)
  * Applied a zeroconf patch by Elvis Pfutzenreuter (OSSO patch)
  * Zeroconf is started only after no DHCP servers found (OSSO patch)
  * Enabled thumb code generation (OSSO patch)

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  1 Jun 2007 14:24:41 +0300

udhcp (0.9.8cvs20050303-2) unstable; urgency=low

  * Fix correct number of leases (closes: #341139 - thanks to Ferenc Wagner)
  * Make sure we close unbound sockets (closes: #336507 - thanks to Neil 
    Turton)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri, 16 Dec 2005 20:31:09 +0100

udhcp (0.9.8cvs20050303-1) unstable; urgency=low

  * New upstream release

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 20 Sep 2005 18:48:02 +0200

udhcp (0.9.8cvs20050124-6) unstable; urgency=low

  * Avoid spurious calls in /etc/default.bound (closes:#312332)
  * Bring up the interface, whether resolvconf is installed or not 
    (closes:#302658)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 18 Sep 2005 21:25:37 +0200

udhcp (0.9.8cvs20050124-5) unstable; urgency=low

  * Allow udhcpc to set up hostname (closes: #234182)
  * Added /etc/udhcpc/default.leasefail (closes: #302655)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  7 Jun 2005 13:40:10 +0200

udhcp (0.9.8cvs20050124-4) unstable; urgency=low

  * Simplify default.bound and default.renew (closes: #302656)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sat,  2 Apr 2005 21:22:05 +0200

udhcp (0.9.8cvs20050124-3) unstable; urgency=low

  * Avoid calling resolvconf several times.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri,  1 Apr 2005 23:04:55 +0200

udhcp (0.9.8cvs20050124-2) unstable; urgency=low

  * Added /etc/udhcpc/default.nak script
  * Let udhcpc use resolvconf (closes: #302019)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 31 Mar 2005 22:38:26 +0200

udhcp (0.9.8cvs20050124-1) unstable; urgency=low

  * New upstream release
  * Replace all strcpy by strncpy (closes: #283582)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon, 14 Mar 2005 22:51:51 +0100

udhcp (0.9.8cvs20040708-4) unstable; urgency=low

  * Let udhcpc to ask for a rootpath (closes: #279110)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  2 Nov 2004 16:34:38 +0100

udhcp (0.9.8cvs20040708-3) unstable; urgency=high

  * Keep removal script from choking when udhcpd isn't running.
    We now use prerm to stop the daemon, which is the Good Way(c) to do it.
    (closes: #268955) thanks to Oliver Kurth.
  * Urgency raised to high because if fixes a serious bug and 2 policy
    violations.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 31 Aug 2004 00:59:37 +0200

udhcp (0.9.8cvs20040708-2) unstable; urgency=low

  * Make sure udhcpd is stopped when removing or purging the package
    (closes: #263562)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Sun, 15 Aug 2004 19:49:33 +0200

udhcp (0.9.8cvs20040708-1) unstable; urgency=low

  * CVS snapshot as from 2004/07/08. Since 0.9.9 is still pending and 0.9.8
    was released more than 2 years ago, this update could be useful.
  * included wpad option (closes: #235969)
  * closes: #257122.
  * now sends log messages to syslog instead of stdout

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu,  8 Jul 2004 21:45:54 +0200

udhcp (0.9.8-6) unstable; urgency=low

  * Better package description in debian/control (closes: #209591,#209694)
  * Cosmetic changes in debian/copyright
  * Updated Standards version

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue,  9 Sep 2003 23:31:02 +0200

udhcp (0.9.8-5) unstable; urgency=low

  * Removed the obsolete udhcpc-udeb (closes: #191232)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed, 30 Apr 2003 00:41:31 +0200

udhcp (0.9.8-4) unstable; urgency=low

  * New maitainer (closes: #188106).
  * Stop forking when failing to obtain a release (closes: #188056).

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed,  9 Apr 2003 03:24:03 +0200

udhcp (0.9.8-3) unstable; urgency=low

  * Do not log to stderr (closes: #173044).
  * Provide dhcp-client (closes: #179165).

 -- Matt Kraai <kraai@debian.org>  Mon, 10 Feb 2003 10:36:36 -0800

udhcp (0.9.8-2) unstable; urgency=low

  * Make udhcpc scripts conffiles (closes: #172150).

 -- Matt Kraai <kraai@debian.org>  Mon,  9 Dec 2002 10:51:00 -0800

udhcp (0.9.8-1) unstable; urgency=low

  * Package new release (trick or treat).
  * Remove /usr/doc handling from postinsts and prerms.
  * Update Debian copyright file.
  * Update Standards-Version.

 -- Matt Kraai <kraai@debian.org>  Thu, 31 Oct 2002 15:19:48 -0800

udhcp (0.9.7-4) unstable; urgency=low

  * Create udhcpc-udeb.

 -- Matt Kraai <kraai@debian.org>  Tue, 17 Sep 2002 08:21:41 -0700

udhcp (0.9.7-3) unstable; urgency=low


