=== debian/changelog ===
udhcp (0.9.8cvs20050303-2osso7) unstable; urgency=low

  * Mysterious crashes fixed by changing the compile flags. Fixes: NB#91797

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 26 Nov 2008 10:27:05 +0200
