=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
+	CFLAGS += -O2
 endif
 
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
@@ -112,7 +112,7 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-	
+
 	mkdir -p debian/tmp/var/lib/misc
 	touch debian/tmp/var/lib/misc/udhcpd.leases
