## udhcp 0.9.8cvs20050303-2.1

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468168)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 00:13:33 +0200
