=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: udhcp
 Section: net
 Priority: optional
-Depends: debhelper
-Maintainer: Aapo Makela <aapo.makela@nokia.com>
+Maintainer: Eric Van Buggenhaut <ericvb@debian.org>
 Standards-Version: 3.6.2
 
 Package: udhcpc
@@ -20,13 +19,6 @@
  .
  This is the client-side application.
 
-Package: udhcpc-dbg
-Section: devel
-Architecture: any
-Depends: udhcpc (=${Source-Version})
-Description: Debug symbols for udhcpc
- Debug symbols for udhcpc
-
 Package: udhcpd
 Section: net
 Architecture: any
