=== debian/rules ===
--- 
+++ 
@@ -3,27 +3,15 @@
 version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
 architecture=$(shell dpkg --print-architecture)
 
-CFLAGS += -ggdb
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
-endif
-
 build:
 	$(checkdir)
-	CFLAGS="$(CFLAGS)" $(MAKE)
+	$(MAKE)
 	touch build
 
 clean:
 	$(checkdir)
 	-$(MAKE) -i clean
-	-rm -rf build debian/tmp debian/udhcpc-dbg debian/files debian/substvars
+	-rm -rf build debian/tmp debian/files debian/substvars
 
 binary-indep: checkroot build
 	$(checkdir)
@@ -34,7 +22,6 @@
 
 	# Build udhcpc package.
 	install -d -m 755 debian/tmp/DEBIAN
-	install -d -m 755 debian/udhcpc-dbg/DEBIAN
 	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
 
 	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
@@ -51,7 +38,7 @@
 
 	install -d -m 755 debian/tmp/sbin
 	install -m 755 udhcpc debian/tmp/sbin/udhcpc
-	dh_strip --dbg-package=udhcpc
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
 
 	install -d -m 755 debian/tmp/etc/udhcpc
 	for name in leasefail bound deconfig renew script nak; do \
@@ -65,12 +52,6 @@
 	dpkg --build debian/tmp ..
 
 	rm -fr debian/tmp
-
-	# Build debug package
-	dpkg-gencontrol -isp -pudhcpc-dbg -Pdebian/udhcpc-dbg
-	chown -R root.root debian/udhcpc-dbg
-	chmod -R go=rX debian/udhcpc-dbg
-	dpkg --build debian/udhcpc-dbg ..
 
 	# Build udhcpd package.
 	install -d -m 755 debian/tmp/DEBIAN
@@ -112,7 +93,7 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-
+	
 	mkdir -p debian/tmp/var/lib/misc
 	touch debian/tmp/var/lib/misc/udhcpd.leases
