## udhcp 0.9.8cvs20050303-2.1maemo1

=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1maemo1) unstable; urgency=low

  * removed udhcpc from control file

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Mon, 14 Sep 2009 11:17:58 -0300
