## udhcp 0.9.8cvs20050303-2.1maemo2

=== Makefile ===
--- 
+++ 
@@ -14,15 +14,8 @@
 # Uncomment this for extra output and to compile with debugging symbols
 #UDHCP_DEBUG=1
 
-# Uncomment this if you want to include Zeroconf support directly in DHCP client
-ZEROCONF=1
-
 # Uncomment this to output messages to syslog, otherwise, messages go to stdout
 CFLAGS += -DUDHCP_SYSLOG
-
-ifdef ZEROCONF
-CFLAGS += -DUDHCP_ZEROCONF
-endif
 
 #CROSS_COMPILE=arm-uclibc-
 CC = $(CROSS_COMPILE)gcc
@@ -32,10 +25,6 @@
 OBJS_SHARED = common.o options.o packet.o pidfile.o signalpipe.o socket.o
 DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o static_leases.o
 DHCPC_OBJS = dhcpc.o clientpacket.o clientsocket.o script.o
-
-ifdef ZEROCONF
-DHCPC_OBJS += zeroconf.o
-endif
 
 ifdef COMBINED_BINARY
 EXEC1 = udhcpd
@@ -71,7 +60,7 @@
 endif
 
 all: $(EXEC1) $(EXEC2) $(EXEC3)
-	#$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
+	$(STRIP) --remove-section=.note --remove-section=.comment $(EXEC1) $(EXEC2) $(EXEC3)
 
 $(OBJS1) $(OBJS2) $(OBJS3): *.h Makefile
 $(EXEC1) $(EXEC2) $(EXEC3): Makefile
