=== debian/changelog ===
udhcp (0.9.8cvs20050303-2.1maemo2) unstable; urgency=low

  * Version increase to compile with new fremantle SDK (autobuilder)

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Wed, 18 Nov 2009 18:11:42 -0300
