## udhcp 0.9.8-6osso4

=== debian/changelog ===
udhcp (0.9.8-6osso4) unstable; urgency=low

  * Patch from  Jover Guillem: FTBFS fix for gcc 3.4.
  * DHCP discover messages are now sent 4 times.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 11 Aug 2005 12:35:57 +0300

udhcp (0.9.8-6osso3) unstable; urgency=low

  * DHCP discover packets are sent 20 times 3 seconds apart. This is a
    hack due to WLAN driver issues.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 11 Mar 2005 14:50:08 +0200

udhcp (0.9.8-6osso2) unstable; urgency=low

  * Call script with notresponding argument if no answer from DHCP server.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 14 Jan 2005 09:59:28 +0200

udhcp (0.9.8-6osso1) unstable; urgency=low

  * Write resolv.conf to /var/run

 -- Timo Ters <ext-timo.teras@nokia.com>  Mon, 22 Nov 2004 14:05:25 +0200

udhcp (0.9.8-6osso) unstable; urgency=low

  * Fix a signal handling bug

 -- Timo Ters <ext-timo.teras@nokia.com>  Thu, 01 Jul 2004 13:13:33 +0300
