=== debian/changelog ===
udhcp (0.9.8-6osso7) unstable; urgency=low

  * Added more log messages to get_raw_packet().
  * Oversized DHCP messages (up to 1500 bytes) are now received and, if
    possible, truncated.
  * Reverted change of increasing the dhcpMessage options field.
  * Do not set broadcast flag, for real this time.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 10 Mar 2006 09:43:52 +0200

udhcp (0.9.8-6osso6) unstable; urgency=low

  * Reverted change in 0.9.8-6osso5, because unicast works ok.
  * Allow DHCP packets with maxium size of 1276. This is a workaround for
    DHCP servers which violate the DHCP spec.
  * Print error messages to log when dropping packets.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Tue,  7 Mar 2006 13:48:38 +0200

udhcp (0.9.8-6osso5) unstable; urgency=low

  * Set broadcast flag in DHCPDISCOVER and DHCPREQUEST, because unicast
    doesn't seem to work.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri,  3 Mar 2006 13:13:01 +0200
