## udhcp 0.9.8-6osso9

=== Makefile ===
--- 
+++ 
@@ -13,9 +13,16 @@
 # Uncomment this for extra output and to compile with debugging symbols
 #DEBUG=1
 
+# Uncomment this if you want to include Zeroconf support directly in DHCP client
+ZEROCONF=1
+
 # Uncomment this to output messages to syslog, otherwise, messages go to stdout
 CFLAGS += -DSYSLOG
 
+ifdef ZEROCONF
+CFLAGS += -DUDHCP_ZEROCONF
+endif
+ 
 #CROSS_COMPILE=arm-uclibc-
 CC = $(CROSS_COMPILE)gcc
 LD = $(CROSS_COMPILE)gcc
@@ -27,6 +34,10 @@
 OBJS_SHARED = options.o socket.o packet.o pidfile.o
 DHCPD_OBJS = dhcpd.o arpping.o files.o leases.o serverpacket.o
 DHCPC_OBJS = dhcpc.o clientpacket.o script.o
+
+ifdef ZEROCONF
+DHCPC_OBJS += zeroconf.o
+endif
 
 ifdef COMBINED_BINARY
 EXEC1 = udhcpd
