=== debian/changelog ===
udhcp (0.9.8-6osso9) unstable; urgency=low

  * Disabled debugging.
  * Zeroconf is started only after no DHCP servers found.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Thu, 11 May 2006 14:13:35 +0300

udhcp (0.9.8-6osso8) unstable; urgency=low

  * Applied a zeroconf patch by Elvis Pfutzenreuter. zeroconf.deconfig is 
    run when SIGUSR2 is received. 

 -- Kalle Valo <Kalle.Valo@nokia.com>  Wed, 10 May 2006 09:07:40 +0300
