=== debian/rules ===
--- 
+++ 
@@ -21,43 +21,42 @@
 	rm -fr debian/tmp
 
 	# Build udhcpc package.
-	#install -d -m 755 debian/tmp/DEBIAN
-	#install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
+	install -d -m 755 debian/tmp/DEBIAN
+	install -m 644 debian/conffiles.udhcpc debian/tmp/DEBIAN/conffiles
 
-	#install -d -m 755 debian/tmp/usr/share/doc/udhcpc
-	##install -m 644 README debian/tmp/usr/share/doc/udhcpc
-	#install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
-	#install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
-	#install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
-	#gzip -9v debian/tmp/usr/share/doc/udhcpc/*
-	#install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
+	install -d -m 755 debian/tmp/usr/share/doc/udhcpc
+	#install -m 644 README debian/tmp/usr/share/doc/udhcpc
+	install -m 644 README.udhcpc debian/tmp/usr/share/doc/udhcpc/README
+	install -m 644 ChangeLog debian/tmp/usr/share/doc/udhcpc/changelog
+	install -m 644 debian/changelog debian/tmp/usr/share/doc/udhcpc/changelog.Debian
+	gzip -9v debian/tmp/usr/share/doc/udhcpc/*
+	install -m 644 debian/copyright debian/tmp/usr/share/doc/udhcpc
 
-	#install -d -m 755 debian/tmp/usr/share/man/man8
-	#install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
-	#gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
+	install -d -m 755 debian/tmp/usr/share/man/man8
+	install -m 644 udhcpc.8 debian/tmp/usr/share/man/man8
+	gzip -9v debian/tmp/usr/share/man/man8/udhcpc.8
 
-	#install -d -m 755 debian/tmp/sbin
-	#install -m 755 udhcpc debian/tmp/sbin/udhcpc
-	#strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
+	install -d -m 755 debian/tmp/sbin
+	install -m 755 udhcpc debian/tmp/sbin/udhcpc
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded debian/tmp/sbin/udhcpc
 
-	#install -d -m 755 debian/tmp/etc/udhcpc
-	#for name in leasefail bound deconfig renew script nak; do \
-	#	install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
-	#done
+	install -d -m 755 debian/tmp/etc/udhcpc
+	for name in bound deconfig renew script ; do \
+		install -m 755 samples/sample.$$name debian/tmp/etc/udhcpc/default.$$name ; \
+	done
 
-	#dpkg-shlibdeps udhcpc
-	#dpkg-gencontrol -isp -pudhcpc
-	#chown -R root.root debian/tmp
-	#chmod -R go=rX debian/tmp
-	#dpkg --build debian/tmp ..
+	dpkg-shlibdeps udhcpc
+	dpkg-gencontrol -isp -pudhcpc
+	chown -R root.root debian/tmp
+	chmod -R go=rX debian/tmp
+	dpkg --build debian/tmp ..
 
-	#rm -fr debian/tmp
+	rm -fr debian/tmp
 
 	# Build udhcpd package.
 	install -d -m 755 debian/tmp/DEBIAN
 	install -m 755 debian/postinst.udhcpd debian/tmp/DEBIAN/postinst
 	install -m 755 debian/postrm.udhcpd debian/tmp/DEBIAN/postrm
-	install -m 755 debian/prerm.udhcpd debian/tmp/DEBIAN/prerm
 	install -m 644 debian/conffiles.udhcpd debian/tmp/DEBIAN/conffiles
 
 	install -d -m 755 debian/tmp/usr/share/doc/udhcpd
@@ -93,9 +92,6 @@
 
 	install -d -m 755 debian/tmp/etc/init.d
 	install -m 755 debian/udhcpd debian/tmp/etc/init.d
-	
-	mkdir -p debian/tmp/var/lib/misc
-	touch debian/tmp/var/lib/misc/udhcpd.leases
 
 	dpkg-shlibdeps udhcpd
 	dpkg-gencontrol -isp -pudhcpd
